/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package sikd.ikonsol.ejb.session;

import java.util.List;
import javax.annotation.PostConstruct;
import javax.ejb.Stateless;
import org.apache.ibatis.session.SqlSession;
import org.apache.ibatis.session.SqlSessionFactory;
import sikd.ikonsol.ejb.dao.WorksheetViewDao;
import sikd.ikonsol.model.WorksheetView;
import sikd.sikd5.sikd5ejb.session.util.MyBatisConnectionFactory;

/**
 *
 * @author Imam Bhoim
 */
@Stateless
public class WorksheetViewEjbHomeImpl implements WorksheetViewEjbHome {

     private SqlSessionFactory sqlSessionFactory;
    private SqlSession session = null;

    private WorksheetViewDao dao;

    @PostConstruct
    public void init() {
        try {
            System.out.println("-------- Load MyBatis Factory IKonsol ------- ");
            sqlSessionFactory = MyBatisConnectionFactory.getSqlSessionFactoryIkonsol();
            dao = new WorksheetViewDao(sqlSessionFactory);
        } catch (Exception ex) {
            ex.printStackTrace();
        }
    }

    
    @Override
    public List<WorksheetView> findAllByTahunBasProvinsi(int tahun, int idbas, String kdpemda) {
  return dao.findAllByTahunBasProvinsi(tahun,idbas,kdpemda);
    }
    
}
